PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros | Functions
pluginmgr.h File Reference
`#include <ptlib/plugin.h>`
Include dependency graph for pluginmgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PPluginSuffix
class | PPluginManager
class | PPluginModuleManager

## Macros
#define | PLUGIN_LOADER_STARTUP_NAME "PluginLoaderStartup"

## Functions
template<class C >
void | PLoadPluginDirectory (C &obj, const PDirectory &directory, const char *suffix=NULL)
| PFACTORY_LOAD (PluginLoaderStartup)

## Macro Definition Documentation

#define PLUGIN_LOADER_STARTUP_NAME "PluginLoaderStartup"

## Function Documentation

PFACTORY_LOAD | ( | PluginLoaderStartup |  | ) |

template<class C >

void PLoadPluginDirectory | ( | C & | obj,
|  | const PDirectory & | directory,
|  | const char * | suffix = `NULL`
| ) |  |

References PDirectory::GetEntryName(), PDynaLink::GetExtension(), PFilePath::GetTitle(), PFilePath::GetType(), PDirectory::Next(), PDirectory::Open(), PTRACE, and PString::Right().